Bug 1286001 - Review Request: java-colors - Color picker for Java applications
Review Request: java-colors - Color picker for Java applications
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1286006
  Show dependency treegraph
 
Reported: 2015-11-27 03:21 EST by Lubomir Rintel
Modified: 2015-12-08 04:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 03:23:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msimacek: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2015-11-27 03:21:40 EST
SPEC: http://v3.sk/~lkundrak/SPECS/java-colors.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/java-colors-20141214-2.fc23.src.rpm
FAS account: lkundrak

Description:

A color chooser for Java applications.
Comment 1 Michael Simacek 2015-12-07 08:45:45 EST
- javadoc subpackage shouldn't have Requires
- Requires on jpackage-utils is generated, it needn't be in the spec
- I really dislike that that you use binary JAR that just happens to
  contain source and doesn't have any version in URL. The file provided
  on the web seems to have changed since you created the SRPM. I'd
  suggest making a tarball from upstream's SVN.
Comment 2 Lubomir Rintel 2015-12-08 03:23:22 EST
Uh, oh, yeah, that's plain ugly. I'm just going to abandon this, it seems like a plain to package.

Will patch logisim to use stock JColorChooser instead.

Note You need to log in before you can comment on or make changes to this bug.